import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
import { linearInterpolation } from "js-interpolate";
export function funktionHilfsenergieVentilatorenWohnungsLueftungT48(System: string, NennLeistung: number) {

    if (NennLeistung < 10) { NennLeistung = 10; }
    let HilfsenergieVentilatorenWohnungsLueftung = 0;

const dataset = [
    {SuchSpalte: ["NennLeistung"], DatenSpalte: [10, 20, 30, 40, 50, 60, 70, 80, 90, 100]},
    {SuchSpalte: ["Hilfsenergie Ventilatoren"], DatenSpalte: [88, 175, 263, 350, 438, 525, 613, 701, 788, 876]}
];

if (NennLeistung > 100) { 

    HilfsenergieVentilatorenWohnungsLueftung =linearInterpolation([{
                x: 10,
                y: 88
            }, {
                x: 100,
                y: 876
            }], NennLeistung); 
} 
else
 { 
    HilfsenergieVentilatorenWohnungsLueftung = funktionEinfacheInterpolation(NennLeistung, System, dataset);
  }



return HilfsenergieVentilatorenWohnungsLueftung;

}

console.log(funktionHilfsenergieVentilatorenWohnungsLueftungT48("Hilfsenergie Ventilatoren", 120)); // 438